//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CGraphicsPart;
class FW_CLineShape;
class FW_CRegionShape;
class FW_CPolygonShape;
class FW_CPrintHandler;

//=======================================================================
class CGraphicsFrame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CGraphicsFrame)
						CGraphicsFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CGraphicsPart* graphicsPart);
	virtual 			~CGraphicsFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 	ODFacet* odFacet, 
							 	ODShape* invalidShape);
	virtual void		FacetAdded(Environment* ev, ODFacet* facet, unsigned short facetCount);
	virtual FW_Handled 	DoMouseDown(Environment* ev, 
									const FW_CMouseEvent& theMouseEvent);
// overrides printing
	virtual FW_CPrintHandler*	NewPrintHandler(Environment* ev);
	virtual	FW_Boolean			IsCurrentlyPrintable(Environment* ev) const;
	virtual void				GetPrintContentExtent(Environment *ev, FW_CPoint& extent) const;
// new members
	virtual FW_CPictureShape* 	MyCreatePictureShape(Environment* ev);
	virtual FW_CPolygonShape* 	MyCreatePolygonShape(Environment* ev);
	virtual FW_CLineShape* 		MyCreateLineShape(Environment* ev);
	virtual FW_CRegionShape* 	MyCreateRegionShape(Environment* ev);
	virtual void 		MyDrawBackground(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawShapes(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawText(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawPictures(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawLine(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyDrawPolygon(Environment* ev, FW_CGraphicContext& gc);
	virtual void 		MyInvalidateLine(Environment* ev);
private:
	FW_CPictureShape*	fLargePictureShape;
	FW_CLineShape*		fLineShape;
	FW_CRegionShape*	fRegionShape;
	FW_CPolygonShape*	fPolygonShape;
	FW_CRect			fLargePictRect;
};

//=======================================================================
#endif
