//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

//================================================================================
#ifndef PART_H
#include "Part.h"
#endif

#ifndef FRAME_H
#include "Frame.h"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

// ----- Framework Includes -----
#ifndef FWABOUT_H
#include "FWAbout.h"
#endif

//==============================================================================
#ifdef FW_BUILD_MAC
#pragma segment Graphics
#endif

FW_DEFINE_AUTO(CGraphicsPart)

//==============================================================================
CGraphicsPart::CGraphicsPart(ODPart* odPart)
  :	FW_CPart(odPart, FW_gInstance, kPartInfoID)
{
}

//--------------------------------------------------------------------------------
CGraphicsPart::~CGraphicsPart()
{
}

//--------------------------------------------------------------------------------
void 
CGraphicsPart::Initialize(Environment* ev, ODStorageUnit* storageUnit, 
											FW_Boolean fromStorage)	// Override
{
	FW_CPart::Initialize(ev, storageUnit, fromStorage);
	FW_CSelection* selection = NULL;
	const ODType kMainPresentation = "Apple:Presentation:Graphics";
	this->RegisterPresentation(ev, kMainPresentation, true, selection);
}

//--------------------------------------------------------------------------------
FW_CFrame* 
CGraphicsPart::NewFrame(Environment* ev, ODFrame* odFrame,
						FW_CPresentation* presentation, FW_Boolean fromStorage)	// Override
{
	FW_UNUSED(fromStorage);
	return FW_NEW(CGraphicsFrame, (ev, odFrame, presentation, this));
}

//--------------------------------------------------------------------------------
FW_CContent* 
CGraphicsPart::NewPartContent(Environment* ev)
{
	FW_UNUSED(ev);
	return NULL;
}

//--------------------------------------------------------------------------------
FW_Handled 
CGraphicsPart::DoAbout(Environment* ev)
{
	::FW_About(ev, this, kAbout);
	
	return FW_kHandled;
}
